
Katello - Bug #4749

(nightlies 3-20-14) hostgroup creation page missing non-library environments

03/20/2014 04:08 PM - Erik Jacobs

Status: Closed   

Priority: High   

Assignee: Justin Sherrill   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

foreman-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-postgresql-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-proxy-1.5.0-0.develop.201403141615git2f75941.el6.noarch

foreman-release-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

katello-1.5.0-14.201403192145gita1d6403.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch

katello-installer-0.0.19-1.201403121737git943ff82.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.4.0-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201403192145gita1d6403.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-3.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201403192207git7c31c50.git.0.0dcaad2.el6.noarch

rubygem-katello_api-0.0.8-1.201403192204gitdc32c3d.git.0.86c1b9e.el6.noarch

 When creating a new hostgroup, only the Library environment is available, even though other environments exist and have content

published to them.

[root@satellite environments]# ll /etc/puppet/environments/

total 12

drwxr-xr-x 3 apache apache 4096 Mar 20 11:41 KT_ACME_Corporation_Development_Simple_View_2

drwxr-xr-x 3 apache apache 4096 Mar 20 10:00 KT_ACME_Corporation_Library_Default_Organization_View

_1

drwxr-xr-x 3 apache apache 4096 Mar 20 11:01 KT_ACME_Corporation_Library_Simple_View_2

 HTML code on hostgroup page:

<div class="form-group ">

<label class="col-md-2 control-label" for="Environment">Environment</label>

<div class="col-md-4">

<select id="kt_environment_id" name="kt_environment_id">

<option value=""></option>

<optgroup label="ACME_Corporation">

<option class="kt-env" value="ACME_Corporation/Library">Library</option>

</optgroup>

</select>

<span class="help-block"></span>

</div>

<span class="help-block help-inline"></span>

</div>
Associated revisions

Revision 92e221b6 - 03/20/2014 05:39 PM - Justin Sherrill

fixes #4749 - fixed puppet env creation for non-library envs

Revision 6244c45e - 03/20/2014 06:43 PM - Justin Sherrill

Merge pull request #3854 from jlsherrill/dev_hg

fixes #4749 - fixed puppet env creation for non-library envs

History

#1 - 03/20/2014 05:25 PM - Mike McCune

- Priority changed from Normal to High

- Status changed from New to Assigned

- Assignee set to Justin Sherrill

#2 - 03/20/2014 06:52 PM - Justin Sherrill

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:92e221b6b5220dd318809457425869e81219adc0.

#3 - 06/06/2014 01:41 PM - Eric Helms

- Triaged set to Yes

#4 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13

Files

Screenshot from 2014-03-20 12_07_17.png 286 KB 03/20/2014 Erik Jacobs
